Update dashboard report settings
curl --request PUT \
--url http://10.2.4.166:8080/composer/api/dashboards/{dashboardId}/reports/{reportId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
{
"id": "<string>",
"name": "<string>",
"subject": "<string>",
"message": "<string>",
"destinationType": "EMAIL/FILE_DROP",
"recipients": {
"users": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
]
},
"schedule": {
"minutesOfHour": 15,
"dayOfMonth": 1,
"daysOfWeek": [],
"monthsOfYear": "[JANUARY] or [MAY, DECEMBER]",
"timeOfDay": "17:30:00",
"startTimeOfDay": "16:00:00",
"endTimeOfDay": "18:00:00",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"timezone": "America/New_York"
},
"columnCount": 123,
"ssrScheduleProperties": {
"columnCount": 123,
"fontSize": 123
}
}
'import requests
url = "http://10.2.4.166:8080/composer/api/dashboards/{dashboardId}/reports/{reportId}"
payload = {
"id": "<string>",
"name": "<string>",
"subject": "<string>",
"message": "<string>",
"destinationType": "EMAIL/FILE_DROP",
"recipients": { "users": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
] },
"schedule": {
"minutesOfHour": 15,
"dayOfMonth": 1,
"daysOfWeek": [],
"monthsOfYear": "[JANUARY] or [MAY, DECEMBER]",
"timeOfDay": "17:30:00",
"startTimeOfDay": "16:00:00",
"endTimeOfDay": "18:00:00",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"timezone": "America/New_York"
},
"columnCount": 123,
"ssrScheduleProperties": {
"columnCount": 123,
"fontSize": 123
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify({
id: '<string>',
name: '<string>',
subject: '<string>',
message: '<string>',
destinationType: 'EMAIL/FILE_DROP',
recipients: {users: [{id: '<string>', name: '<string>', email: '<string>'}]},
schedule: {
minutesOfHour: 15,
dayOfMonth: 1,
daysOfWeek: [],
monthsOfYear: '[JANUARY] or [MAY, DECEMBER]',
timeOfDay: '17:30:00',
startTimeOfDay: '16:00:00',
endTimeOfDay: '18:00:00',
startDate: '2023-12-25',
endDate: '2023-12-25',
timezone: 'America/New_York'
},
columnCount: 123,
ssrScheduleProperties: {columnCount: 123, fontSize: 123}
})
};
fetch('http://10.2.4.166:8080/composer/api/dashboards/{dashboardId}/reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/dashboards/{dashboardId}/reports/{reportId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'id' => '<string>',
'name' => '<string>',
'subject' => '<string>',
'message' => '<string>',
'destinationType' => 'EMAIL/FILE_DROP',
'recipients' => [
'users' => [
[
'id' => '<string>',
'name' => '<string>',
'email' => '<string>'
]
]
],
'schedule' => [
'minutesOfHour' => 15,
'dayOfMonth' => 1,
'daysOfWeek' => [
],
'monthsOfYear' => '[JANUARY] or [MAY, DECEMBER]',
'timeOfDay' => '17:30:00',
'startTimeOfDay' => '16:00:00',
'endTimeOfDay' => '18:00:00',
'startDate' => '2023-12-25',
'endDate' => '2023-12-25',
'timezone' => 'America/New_York'
],
'columnCount' => 123,
'ssrScheduleProperties' => [
'columnCount' => 123,
'fontSize' => 123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/dashboards/{dashboardId}/reports/{reportId}"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"subject\": \"<string>\",\n \"message\": \"<string>\",\n \"destinationType\": \"EMAIL/FILE_DROP\",\n \"recipients\": {\n \"users\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"email\": \"<string>\"\n }\n ]\n },\n \"schedule\": {\n \"minutesOfHour\": 15,\n \"dayOfMonth\": 1,\n \"daysOfWeek\": [],\n \"monthsOfYear\": \"[JANUARY] or [MAY, DECEMBER]\",\n \"timeOfDay\": \"17:30:00\",\n \"startTimeOfDay\": \"16:00:00\",\n \"endTimeOfDay\": \"18:00:00\",\n \"startDate\": \"2023-12-25\",\n \"endDate\": \"2023-12-25\",\n \"timezone\": \"America/New_York\"\n },\n \"columnCount\": 123,\n \"ssrScheduleProperties\": {\n \"columnCount\": 123,\n \"fontSize\": 123\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("http://10.2.4.166:8080/composer/api/dashboards/{dashboardId}/reports/{reportId}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("{\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"subject\": \"<string>\",\n \"message\": \"<string>\",\n \"destinationType\": \"EMAIL/FILE_DROP\",\n \"recipients\": {\n \"users\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"email\": \"<string>\"\n }\n ]\n },\n \"schedule\": {\n \"minutesOfHour\": 15,\n \"dayOfMonth\": 1,\n \"daysOfWeek\": [],\n \"monthsOfYear\": \"[JANUARY] or [MAY, DECEMBER]\",\n \"timeOfDay\": \"17:30:00\",\n \"startTimeOfDay\": \"16:00:00\",\n \"endTimeOfDay\": \"18:00:00\",\n \"startDate\": \"2023-12-25\",\n \"endDate\": \"2023-12-25\",\n \"timezone\": \"America/New_York\"\n },\n \"columnCount\": 123,\n \"ssrScheduleProperties\": {\n \"columnCount\": 123,\n \"fontSize\": 123\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/dashboards/{dashboardId}/reports/{reportId}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "{\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"subject\": \"<string>\",\n \"message\": \"<string>\",\n \"destinationType\": \"EMAIL/FILE_DROP\",\n \"recipients\": {\n \"users\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"email\": \"<string>\"\n }\n ]\n },\n \"schedule\": {\n \"minutesOfHour\": 15,\n \"dayOfMonth\": 1,\n \"daysOfWeek\": [],\n \"monthsOfYear\": \"[JANUARY] or [MAY, DECEMBER]\",\n \"timeOfDay\": \"17:30:00\",\n \"startTimeOfDay\": \"16:00:00\",\n \"endTimeOfDay\": \"18:00:00\",\n \"startDate\": \"2023-12-25\",\n \"endDate\": \"2023-12-25\",\n \"timezone\": \"America/New_York\"\n },\n \"columnCount\": 123,\n \"ssrScheduleProperties\": {\n \"columnCount\": 123,\n \"fontSize\": 123\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"subject": "<string>",
"message": "<string>",
"format": "PDF",
"destinationType": "EMAIL/FILE_DROP",
"type": "RAW_DATA_FOR_VISUAL",
"recipients": {
"users": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
]
},
"schedule": {
"frequency": "ONCE",
"minutesOfHour": 15,
"dayOfMonth": 1,
"dayOfWeek": "MONDAY",
"daysOfWeek": [
"MONDAY"
],
"monthsOfYear": "[JANUARY] or [MAY, DECEMBER]",
"timeOfDay": "17:30:00",
"startTimeOfDay": "16:00:00",
"endTimeOfDay": "18:00:00",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"timezone": "America/New_York"
},
"columnCount": 123,
"ssrScheduleProperties": {
"id": "<string>",
"columnCount": 123,
"fontSize": 123,
"pageSize": "LETTER",
"orientation": "PORTRAIT"
}
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}Update dashboard report settings
Update dashboard report settings
curl --request PUT \
--url http://10.2.4.166:8080/composer/api/dashboards/{dashboardId}/reports/{reportId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
{
"id": "<string>",
"name": "<string>",
"subject": "<string>",
"message": "<string>",
"destinationType": "EMAIL/FILE_DROP",
"recipients": {
"users": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
]
},
"schedule": {
"minutesOfHour": 15,
"dayOfMonth": 1,
"daysOfWeek": [],
"monthsOfYear": "[JANUARY] or [MAY, DECEMBER]",
"timeOfDay": "17:30:00",
"startTimeOfDay": "16:00:00",
"endTimeOfDay": "18:00:00",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"timezone": "America/New_York"
},
"columnCount": 123,
"ssrScheduleProperties": {
"columnCount": 123,
"fontSize": 123
}
}
'import requests
url = "http://10.2.4.166:8080/composer/api/dashboards/{dashboardId}/reports/{reportId}"
payload = {
"id": "<string>",
"name": "<string>",
"subject": "<string>",
"message": "<string>",
"destinationType": "EMAIL/FILE_DROP",
"recipients": { "users": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
] },
"schedule": {
"minutesOfHour": 15,
"dayOfMonth": 1,
"daysOfWeek": [],
"monthsOfYear": "[JANUARY] or [MAY, DECEMBER]",
"timeOfDay": "17:30:00",
"startTimeOfDay": "16:00:00",
"endTimeOfDay": "18:00:00",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"timezone": "America/New_York"
},
"columnCount": 123,
"ssrScheduleProperties": {
"columnCount": 123,
"fontSize": 123
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify({
id: '<string>',
name: '<string>',
subject: '<string>',
message: '<string>',
destinationType: 'EMAIL/FILE_DROP',
recipients: {users: [{id: '<string>', name: '<string>', email: '<string>'}]},
schedule: {
minutesOfHour: 15,
dayOfMonth: 1,
daysOfWeek: [],
monthsOfYear: '[JANUARY] or [MAY, DECEMBER]',
timeOfDay: '17:30:00',
startTimeOfDay: '16:00:00',
endTimeOfDay: '18:00:00',
startDate: '2023-12-25',
endDate: '2023-12-25',
timezone: 'America/New_York'
},
columnCount: 123,
ssrScheduleProperties: {columnCount: 123, fontSize: 123}
})
};
fetch('http://10.2.4.166:8080/composer/api/dashboards/{dashboardId}/reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/dashboards/{dashboardId}/reports/{reportId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'id' => '<string>',
'name' => '<string>',
'subject' => '<string>',
'message' => '<string>',
'destinationType' => 'EMAIL/FILE_DROP',
'recipients' => [
'users' => [
[
'id' => '<string>',
'name' => '<string>',
'email' => '<string>'
]
]
],
'schedule' => [
'minutesOfHour' => 15,
'dayOfMonth' => 1,
'daysOfWeek' => [
],
'monthsOfYear' => '[JANUARY] or [MAY, DECEMBER]',
'timeOfDay' => '17:30:00',
'startTimeOfDay' => '16:00:00',
'endTimeOfDay' => '18:00:00',
'startDate' => '2023-12-25',
'endDate' => '2023-12-25',
'timezone' => 'America/New_York'
],
'columnCount' => 123,
'ssrScheduleProperties' => [
'columnCount' => 123,
'fontSize' => 123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/dashboards/{dashboardId}/reports/{reportId}"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"subject\": \"<string>\",\n \"message\": \"<string>\",\n \"destinationType\": \"EMAIL/FILE_DROP\",\n \"recipients\": {\n \"users\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"email\": \"<string>\"\n }\n ]\n },\n \"schedule\": {\n \"minutesOfHour\": 15,\n \"dayOfMonth\": 1,\n \"daysOfWeek\": [],\n \"monthsOfYear\": \"[JANUARY] or [MAY, DECEMBER]\",\n \"timeOfDay\": \"17:30:00\",\n \"startTimeOfDay\": \"16:00:00\",\n \"endTimeOfDay\": \"18:00:00\",\n \"startDate\": \"2023-12-25\",\n \"endDate\": \"2023-12-25\",\n \"timezone\": \"America/New_York\"\n },\n \"columnCount\": 123,\n \"ssrScheduleProperties\": {\n \"columnCount\": 123,\n \"fontSize\": 123\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("http://10.2.4.166:8080/composer/api/dashboards/{dashboardId}/reports/{reportId}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("{\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"subject\": \"<string>\",\n \"message\": \"<string>\",\n \"destinationType\": \"EMAIL/FILE_DROP\",\n \"recipients\": {\n \"users\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"email\": \"<string>\"\n }\n ]\n },\n \"schedule\": {\n \"minutesOfHour\": 15,\n \"dayOfMonth\": 1,\n \"daysOfWeek\": [],\n \"monthsOfYear\": \"[JANUARY] or [MAY, DECEMBER]\",\n \"timeOfDay\": \"17:30:00\",\n \"startTimeOfDay\": \"16:00:00\",\n \"endTimeOfDay\": \"18:00:00\",\n \"startDate\": \"2023-12-25\",\n \"endDate\": \"2023-12-25\",\n \"timezone\": \"America/New_York\"\n },\n \"columnCount\": 123,\n \"ssrScheduleProperties\": {\n \"columnCount\": 123,\n \"fontSize\": 123\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/dashboards/{dashboardId}/reports/{reportId}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "{\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"subject\": \"<string>\",\n \"message\": \"<string>\",\n \"destinationType\": \"EMAIL/FILE_DROP\",\n \"recipients\": {\n \"users\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"email\": \"<string>\"\n }\n ]\n },\n \"schedule\": {\n \"minutesOfHour\": 15,\n \"dayOfMonth\": 1,\n \"daysOfWeek\": [],\n \"monthsOfYear\": \"[JANUARY] or [MAY, DECEMBER]\",\n \"timeOfDay\": \"17:30:00\",\n \"startTimeOfDay\": \"16:00:00\",\n \"endTimeOfDay\": \"18:00:00\",\n \"startDate\": \"2023-12-25\",\n \"endDate\": \"2023-12-25\",\n \"timezone\": \"America/New_York\"\n },\n \"columnCount\": 123,\n \"ssrScheduleProperties\": {\n \"columnCount\": 123,\n \"fontSize\": 123\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"subject": "<string>",
"message": "<string>",
"format": "PDF",
"destinationType": "EMAIL/FILE_DROP",
"type": "RAW_DATA_FOR_VISUAL",
"recipients": {
"users": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
]
},
"schedule": {
"frequency": "ONCE",
"minutesOfHour": 15,
"dayOfMonth": 1,
"dayOfWeek": "MONDAY",
"daysOfWeek": [
"MONDAY"
],
"monthsOfYear": "[JANUARY] or [MAY, DECEMBER]",
"timeOfDay": "17:30:00",
"startTimeOfDay": "16:00:00",
"endTimeOfDay": "18:00:00",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"timezone": "America/New_York"
},
"columnCount": 123,
"ssrScheduleProperties": {
"id": "<string>",
"columnCount": 123,
"fontSize": 123,
"pageSize": "LETTER",
"orientation": "PORTRAIT"
}
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}Authorizations
HTTP Basic authentication using global administrator credentials (username and password).
Query Parameters
Deliver report immediately
Body
application/vnd.composer.v3+json
Available options:
PDF, PNG, XLSX, SSR_PDF, SSR_XLSX Destination for the report
Available options:
EMAIL, FILE_DROP Example:
"EMAIL/FILE_DROP"
Data export type for XLSX reports
Available options:
RAW_DATA_FOR_VISUAL, VISUAL_DATA Show child attributes
Show child attributes
Show child attributes
Show child attributes
Number of columns to be exported for Self Service Report
Defines self service report details for the schedule
Show child attributes
Show child attributes
Response
The dashboard report was updated successfully
Available options:
PDF, PNG, XLSX, SSR_PDF, SSR_XLSX Destination for the report
Available options:
EMAIL, FILE_DROP Example:
"EMAIL/FILE_DROP"
Data export type for XLSX reports
Available options:
RAW_DATA_FOR_VISUAL, VISUAL_DATA Show child attributes
Show child attributes
Show child attributes
Show child attributes
Number of columns to be exported for Self Service Report
Defines self service report details for the schedule
Show child attributes
Show child attributes
Was this page helpful?